package com.foreverwin.mesnac.common.util;

import com.alibaba.fastjson.JSONObject;
import com.foreverwin.mesnac.common.dto.WeChatDto;
import com.foreverwin.modular.core.exception.BusinessException;
import org.dom4j.Text;
import org.jsoup.Connection.Response;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;


/**
 *
 * 发送微信消息工具类
 *
 * @author Leon
 * @since 2021-06-07
 */
@Component
@ConditionalOnProperty(prefix = "wechat", name = {"agentId","postUrl"})
public class SendWeChat {

    @Value("${wechat.agentId}")
    private int agentId;
    @Value("${wechat.postUrl}")
    private String postUrl;


    @Autowired
    private TokenSingleton tokenSingleton;

    public void sendMessage(String toUser, String content) {
        try {
            Map<String, String> map = tokenSingleton.getMap();
            String  accessToken = map.get("access_token");

            //短信内容参数
            WeChatDto weChatDto = new WeChatDto();
            weChatDto.setTouser(toUser);
            weChatDto.setAgentid(agentId);
            Map<String, Object> text = new HashMap<>();
            text.put("content", content);
            weChatDto.setText(text);

            postUrl = postUrl.replace("ACCESS_TOKEN", accessToken);
            Response response = HttpUtils.post(postUrl, JSONObject.toJSONString(weChatDto));
            if (null != response) {
                String body = response.body();
                JSONObject jsonObject = (JSONObject) JSONObject.parse(body);
                int errCode = jsonObject.getInteger("errcode");
                if (errCode != 0) {
                    throw BusinessException.build(jsonObject.getString("errmsg"));
                }
                if (errCode == 44004) {

                }
            }
        } catch (Exception e) {

        }
    }


}
